package com.example.orangesale_02;

import android.app.Activity;
import android.app.FragmentManager;
import android.app.FragmentTransaction;
import android.os.Bundle;
import android.widget.ListView;

import androidx.annotation.Nullable;

import com.example.orangesale_02.adapter.Adapter;

import java.math.BigDecimal;
import java.util.ArrayList;
import java.util.List;


public class CategoryActivity extends Activity {
    public OnChangeListener onchangedListener;
    private List<Product> productList;
    private List<String> productCategory = new ArrayList<>();
    private ListView titleList;
    private Adapter adapter;

    @Override
    public void onCreate(@Nullable Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.content_category);
        initData();
        init();
        SetDetailFragment fragment = new SetDetailFragment();
        FragmentManager fragmentManager = getFragmentManager();
        FragmentTransaction transaction = fragmentManager.beginTransaction();
        transaction.replace(R.id.category_detail, fragment);
        transaction.commit();
        titleList.setOnItemClickListener((parent, view, position, id) -> {
            adapter.setSelectedPosition(position);
            adapter.notifyDataSetInvalidated();
            if (onchangedListener != null) {
                onchangedListener.changeText(productList.get(position));
            }
        });

    }

    public void setOnChangeListener(OnChangeListener onChangeListener) {
        this.onchangedListener = onChangeListener;
    }

    public interface OnChangeListener {
        void changeText(Product product);
    }

    /**
     * 初始化数据
     */
    private void initData() {
        productList = new ArrayList<>();
        productCategory.add("橘子");
        productCategory.add("橙子");
        productCategory.add("柚子");
        productCategory.add("桃子");
        productCategory.add("西瓜");
        productCategory.add("苹果");
        productCategory.add("梨子");
        productCategory.add("葡萄");
        Product product = new Product();
        product.setImageUrlId(R.drawable.huangyanmiju);
        product.setProductName("黄岩蜜桔");
        product.setProductPrice(new BigDecimal("5.5"));
        product.setProductContent(new String("黄岩蜜桔，浙江省台州市黄岩区特产，黄岩蜜桔为宽皮橘类，果皮橙黄色，肾形，中心柱空，果肉柔软化渣，甜酸适口。"));

        product.setImageUrlId(R.drawable.shatangju);
        product.setProductName("沙糖桔");
        product.setProductPrice(new BigDecimal("3.5"));
        product.setProductContent(new String("沙糖桔，又名:十月桔。原产地在四会市，现在我国的很多地区都有种植。沙糖桔果实扁圆形，顶部有瘤状突起，蒂脐端凹陷，色泽橙黄至橙红，果壁薄，易剥离。沙糖桔尤以四会黄田镇出产的为正宗，唯其鲜美而极甜，无渣，口感细腻，实为佳品。"));
        Product product1 = new Product();
        product1.setImageUrlId(R.drawable.bingtangcheng);
        product1.setProductName("冰糖橙");
        product1.setProductPrice(new BigDecimal("3.5"));
        product.setProductContent(new String("又名冰糖柑，原产湖南黔阳县(今洪江市)，冰糖橙以品种优良、味浓香甜、果皮薄、不塞牙、肉质脆嫩等而倍受市场欢迎。系当地普通甜橙的变异，湖南栽培较多，四川、重庆、贵州、云南、两广有少量栽培。"));

        product1.setImageUrlId(R.drawable.xuecheng);
        product1.setProductName("血橙");
        product1.setProductPrice(new BigDecimal("6.5"));
        product1.setProductContent(new String("果圆球形，扁圆形或椭圆形，橙红色，果皮难或稍易剥离，中果皮的颜色血红或暗紫红色，但未成熟的果则不着色，果心实或半充实，果肉成熟时橙红或紫红色，味甜或稍偏酸。"));
        Product product2 = new Product();
        product2.setImageUrlId(R.drawable.shatianyou);
        product2.setProductName("沙田柚");
        product2.setProductPrice(new BigDecimal("5"));
        product2.setProductContent(new String("果实呈梨或者葫芦形，果肉爽脆，味道浓甜，有其独特的风味。但是水分较少，籽颇多，所以经常被人误解，认为是不新鲜导致水分较少。"));

        product2.setImageUrlId(R.drawable.wendanyou);
        product2.setProductName("文旦柚");
        product2.setProductPrice(new BigDecimal("4"));
        product2.setProductContent(new String("文旦柚果型呈扁平状，有籽，清甜且带有独特的清香味，果粒细小但汁水丰富，吃的时候可以配备一次性手套，免去汁水流满手的尴尬。"));
        Product product3=new Product();
        product3.setImageUrlId(R.drawable.shuimitao);
        product3.setProductName("水蜜桃");
        product3.setProductPrice(new BigDecimal("6.5"));
        product3.setProductContent(new String("水蜜桃略呈球形，表面裹着一层细小的绒毛，青里泛白，白里透红。水蜜桃皮很薄，果肉丰富，宜于生食，入口滑润不留渣子。"));
        product3.setImageUrlId(R.drawable.youtao);
        product3.setProductName("油桃");
        product3.setProductPrice(new BigDecimal("7.5"));
        product3.setProductContent(new String("近球形核果，表面有毛茸，肉质可食，为橙黄色泛红色，直径7.5厘米，有带深麻点和沟纹的核，内含白色种子。 "));
        Product product4=new Product();
        product4.setImageUrlId(R.drawable.qilingua);
        product4.setProductName("麒麟瓜");
        product4.setProductPrice(new BigDecimal("3"));
        product4.setProductContent(new String("属于西瓜种类的一种，是经过培植的科研新品种，瓜种对生长环境和土壤以及日照的要求非常高。由于从种下到开花、从开花到收瓜只需60天左右，因此即使种植讲究，但因周期短、口感好、效益见得快，因此温州和海南农民还是很乐意种植的。"));
        product4.setImageUrlId(R.drawable.heimeirenxigua);
        product4.setProductName("黑美人西瓜");
        product4.setProductPrice(new BigDecimal("4.5"));
        product4.setProductContent(new String("这种西瓜果实呈长椭圆形，瓜较小，果皮深黑绿色，有不明显的条纹。一般较为早熟，果皮薄而坚韧，肉质鲜嫩多汁。"));
        Product product5=new Product();
        product5.setImageUrlId(R.drawable.hongfushi);
        product5.setProductName("红富士");
        product5.setProductPrice(new BigDecimal("7.5"));
        product5.setProductContent(new String("富士苹果的特点是体积很大，遍体通红，形状很圆，平均大小如棒球一般。果实的重量中，有9-11%是单糖，而且其果肉紧密，比其他很多苹果变种都要甜美和清脆。"));
        product5.setImageUrlId(R.drawable.hongjiangjunpinguo);
        product5.setProductName("红将军苹果");
        product5.setProductPrice(new BigDecimal("6.0"));
        product5.setProductContent(new String("它的口感的确比较出众， 果肉呈黄白色， 质地比红富士略松、甜脆爽口、香气馥郁、皮薄多汁。"));
        Product product6=new Product();
        product6.setImageUrlId(R.drawable.baili);
        product6.setProductName("白梨");
        product6.setProductPrice(new BigDecimal("4.5"));
        product6.setProductContent(new String("白梨的果实有蜡质光泽，果皮薄，果肉厚，果核小，肉质细腻，酥脆多汁，甘甜爽口，含多种营养成分，具有生津、止渴、润肺、宽肠、强心、利尿等医疗作用。"));
        product6.setImageUrlId(R.drawable.shali);
        product6.setProductName("沙梨");
        product6.setProductPrice(new BigDecimal("5.0"));
        product6.setProductContent(new String("其肉质酥脆细腻，汁液丰富，酸甜浓郁。并具有显著的润肺止咳、养颜排毒、软化血管、健脑益智、延缓衰老等保健功效。"));
        Product product7=new Product();
        product7.setImageUrlId(R.drawable.yangguangmeigui);
        product7.setProductName("阳光玫瑰葡萄");
        product7.setProductPrice(new BigDecimal("25"));
        product7.setProductContent(new String("阳光玫瑰葡萄丰产、稳产，大粒，抗病，耐贮性好，栽培简单。果粒着生紧密，椭圆形，黄绿色，果面有光泽，果粉少。果肉鲜脆多汁，有玫瑰香味，可溶性固形物含量20%左右，最高可达26%，鲜食品质极优。不裂果，不脱粒，丰产，抗逆性较强，综合性状优良。"));
        product7.setImageUrlId(R.drawable.jufeng);
        product7.setProductName("巨峰葡萄");
        product7.setProductPrice(new BigDecimal("19.6"));
        product7.setProductContent(new String("果粒椭圆形，紫黑色，果粉厚，粒大。果皮中等厚，与果肉易分离；果肉软，肉瓢不明显，汁多,果粒硕大，果色鲜艳，味酸甜，果粒柔软多汁，有草莓香味，营养丰富。"));
        productList.add(product);
        productList.add(product1);
        productList.add(product2);
        productList.add(product3);
        productList.add(product4);
        productList.add(product5);
        productList.add(product6);
        productList.add(product7);
    }

    /**
     * 初始化组件
     */
    private void init() {
        titleList = findViewById(R.id.category_title_list);
        adapter = new Adapter(productCategory, CategoryActivity.this);
        titleList.setAdapter(adapter);
    }
}
